Skip to main content
GET
/
segments
cURL
curl https://api.growthbook.io/api/v1/segments \
  -u secret_abc123DEF456:
{
  "segments": [
    {
      "id": "<string>",
      "owner": "<unknown>",
      "datasourceId": "<string>",
      "identifierType": "<string>",
      "name": "<string>",
      "dateCreated": "<string>",
      "dateUpdated": "<string>",
      "description": "<string>",
      "query": "<string>",
      "managedBy": "",
      "type": "SQL",
      "factTableId": "<string>",
      "filters": [
        "<string>"
      ],
      "projects": [
        "<string>"
      ]
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

datasourceId
string

Filter by Data Source

Response

200 - application/json

Success

segments
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required